Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetAbstractBiNode<A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode<A,​B>

- All Implemented Interfaces:
    `BavetNode`
  Direct Known Subclasses:
    `BavetFilterBiNode`, `BavetGroupBiNode`, `BavetGroupBridgeBiNode`, `BavetJoinBiNode`, `BavetJoinBridgeBiNode`, `BavetScoringBiNode`

      public abstract class BavetAbstractBiNode<A,​B>
      extends BavetAbstractNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeIndex, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetAbstractBiNode​(BavetConstraintSession session, int nodeIndex)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractBiNode<A,​B> childNode)` |
    `abstract BavetAbstractBiTuple<A,​B>` | `createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)` |
    `List<BavetAbstractBiNode<A,​B>>` | `getChildNodeList()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeIndex, refresh`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetAbstractBiNode

          public BavetAbstractBiNode​(BavetConstraintSession session,
                                     int nodeIndex)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractBiNode<A,​B> childNode)

    - #### getChildNodeList

          public List<BavetAbstractBiNode<A,​B>> getChildNodeList()

    - #### createTuple

          public abstract BavetAbstractBiTuple<A,​B> createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)